﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class word_viewword : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void AceoffixCtrl1_Load(object sender, EventArgs e)
    {
        Aceoffix.Word.WordResponse wres = new Aceoffix.Word.WordResponse();
        wres.DisableWindowSelection = true; // Disabled Selection and Drag.
        AceoffixCtrl1.Caption = "Work Mode: Read Only; [Disabled Edit, Copy, Paste, Save as, Download, PrintScreen, F12, Context Menu and etc.]";
        AceoffixCtrl1.ServerPage = "../aceoffix-runtime/server.aspx";

        // Create custom toolbar
        AceoffixCtrl1.AddCustomToolButton("Thumbnail View", "SetThumbnailView()", 0);
        AceoffixCtrl1.AddCustomToolButton("Page View", "SetPageView()", 0);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Print", "ShowPrintDlg()", 6);
        AceoffixCtrl1.AddCustomToolButton("-", "", 0);
        AceoffixCtrl1.AddCustomToolButton("Switch Full-screen", "SwitchFullScreen()", 4);

        AceoffixCtrl1.AllowCopy = false; // Disabled Copy, PrintScreen, F12, Context Menu and etc.
        AceoffixCtrl1.Bind(wres);
        AceoffixCtrl1.OpenDocument("../doc/viewword.doc", Aceoffix.OpenModeType.docReadOnly, "John Scott"); // docReadOnly: Disabled Edit, Paste.
    }
}
